<?php


	// ouvre le fichier et retourne un tableau contenant une ligne par élément
	$lines = file('texte.txt');
	//On parcourt le tableau $lines et on affiche le contenu de chaque ligne précédée de son numéro
	foreach ($lines as $lineNumber => $lineContent)
	{
		echo $lineNumber,' ',$lineContent ,"<br>";
	}

?>